# stadapter.h File Reference

Declares the SQLTypeAdapter class. More...

`#include "common.h"`
`#include "datetime.h"`
`#include "null.h"`
`#include "sql_buffer.h"`
`#include "tiny_int.h"`
`#include <stdexcept>`
`#include <string>`

Go to the source code of this file.

## Namespaces

namespace | mysqlpp

## Classes

class | mysqlpp::SQLTypeAdapter
| Converts many different data types to strings suitable for use in SQL queries. More...

## Detailed Description

Declares the SQLTypeAdapter class.